Description: Build with Ninja 1.12.
Author: Soren Stoutner <soren@debian.org>
Forwarded: not-needed
Origin: upstream, https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/555586
Origin: upstream, https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/560295
Last-Update: 2024-05-22

--- a/src/3rdparty/chromium/content/public/browser/BUILD.gn
+++ b/src/3rdparty/chromium/content/public/browser/BUILD.gn
@@ -469,6 +469,7 @@ jumbo_source_set("browser_sources") {
     "//build:chromeos_buildflags",
     "//cc",
     "//components/viz/host",
+    "//components/spellcheck:buildflags",
     "//content/browser",  # Must not be public_deps!
     "//device/fido",
     "//gpu",
--- a/src/3rdparty/chromium/components/history/core/browser/BUILD.gn
+++ b/src/3rdparty/chromium/components/history/core/browser/BUILD.gn
@@ -105,6 +105,7 @@ static_library("browser") {
     "//components/keyed_service/core",
     "//components/prefs",
     "//components/query_parser",
+    "//components/signin/public/base:signin_buildflags",
     "//components/signin/public/identity_manager",
     "//components/sync",
     "//components/url_formatter",
--- a/src/3rdparty/chromium/components/webcrypto/BUILD.gn
+++ b/src/3rdparty/chromium/components/webcrypto/BUILD.gn
@@ -62,6 +62,7 @@ static_library("webcrypto") {
     "//crypto",
     "//crypto:platform",
     "//third_party/blink/public:blink_headers",
+    "//third_party/blink/renderer/platform/heap:heap",
   ]
 }
 
--- a/src/3rdparty/chromium/third_party/blink/renderer/platform/heap/BUILD.gn
+++ b/src/3rdparty/chromium/third_party/blink/renderer/platform/heap/BUILD.gn
@@ -121,6 +121,7 @@ blink_platform_sources("heap") {
   }
 
   visibility = [
+    "//components/webcrypto:webcrypto",
     "//third_party/blink/renderer/platform:platform",
     "//third_party/blink/renderer/platform/instrumentation:instrumentation",
     "//third_party/blink/renderer/platform/loader:loader",
